package com.jsh.erp.service;

import org.springframework.transaction.annotation.Transactional;

public interface SequenceService {

    /**
     * 获取单据编号
     */
    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    String buildOnlyNumber()throws Exception;

    /**
     * 构建供应商编号
     */
    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    String buildSupplierNumber();
}
